<div class="logout">
    <p style="margin-right: 20px;">{{ nickname }}</p>
    <button *ngIf="!small" style="margin-right: 20px;" (click)="auth.logout({ returnTo: document.location.origin })">
        Log out
    </button>
    <button *ngIf="small" style="margin-right: 20px; display: flex; align-items: center;" (click)="auth.logout({ returnTo: document.location.origin })">
        <img src="../assets/images/logout.png" style="height: 20px;">
    </button>
    <button *ngIf="!small" (click)="onJobClick()">
        Job List
    </button>
    <button *ngIf="small" style="display: flex; align-items: center;" (click)="onJobClick()">
        <img src="../assets/images/liste.png" style="height: 20px;">
    </button>
</div>
<div class="search">
    <p style="font-size: 50px;">Search</p>
    <p><input type="text" placeholder="Enter request" id="requestBar" name="requestBar" #requestBar></p>
    <app-error-message *ngFor="let i of errorMessage" [errorMessage]="i.message"></app-error-message>
    <div class="buttons">
        <button style="float: inline-start; margin-right: 20px;" (click)="onPreviewClick(requestBar.value)">Preview</button>
        <button style="float:inline-end; width: 75px;  display: flex; align-items: center; justify-content: center;" (click)="onSearchClick(requestBar.value)">
            <img src="../assets/images/loupe.png" style="height: 20px;">
        </button>
    </div>
    <div>
        <p *ngIf="!previewClicked">Click Preview to see how many articles could be returned by your request</p>
        <p *ngIf="previewClicked">Approximately {{numberOfArticle}} article could be returned with this request</p>
    </div>
</div>
